%define	emacsver	21.3
%define xemacsver	21.4
%define	e_sitedir	/usr/share/emacs/site-lisp
%define	xe_sitedir	/usr/lib/xemacs/site-lisp
%define	sitepdir	/usr/lib/xemacs/site-packages

Summary: lsdb - a rolodex-like database program for SEMI based MUA
Name: elisp-lsdb
Version: 0.10
Release: 3m
License: GPL
Group: Applications/Editors
Source: http://downloads.sourceforge.jp/lsdb/1494/lsdb-0.10.tar.gz
Nosource: 0
URL: http://sourceforge.jp/projects/lsdb/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}
BuildPreReq: apel-emacs, apel-xemacs
BuildPreReq: emiko-emacs, emiko-xemacs
Requires: emacsen

%description
LSDB (The Lovely Sister Database) is a rolodex-like database program
for SEMI based MUA.  It intends to be a lightweight replacement for
BBDB (The Insidious Big Brother Database).  Unfortunately, it
currently doesn't support the all features of BBDB.

%package -n lsdb-emacs
Summary: lsdb - a rolodex-like database program for SEMI based MUA
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}

%description -n lsdb-emacs
LSDB (The Lovely Sister Database) is a rolodex-like database program
for SEMI based MUA.  It intends to be a lightweight replacement for
BBDB (The Insidious Big Brother Database).  Unfortunately, it
currently doesn't support the all features of BBDB.

%package -n lsdb-xemacs
Summary: lsdb - a rolodex-like database program for SEMI based MUA
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}, xemacs-sumo

%description -n lsdb-xemacs
LSDB (The Lovely Sister Database) is a rolodex-like database program
for SEMI based MUA.  It intends to be a lightweight replacement for
BBDB (The Insidious Big Brother Database).  Unfortunately, it
currently doesn't support the all features of BBDB.

%prep
%setup -q -n lsdb-%{version}
rm -rf %{buildroot}

%build
make EMACS=emacs \
	PREFIX=%{buildroot}%{_prefix} \
	LISPDIR=%{buildroot}%{e_sitedir} \
	VERSION_SPECIFIC_LISPDIR=%{buildroot}%{_datadir}/emacs/%{emacsver}/site-lisp
make EMACS=emacs \
	PREFIX=%{buildroot}%{_prefix} \
	LISPDIR=%{buildroot}%{e_sitedir} \
	VERSION_SPECIFIC_LISPDIR=%{buildroot}%{_datadir}/emacs/%{emacsver}/site-lisp \
	install

make clean

make XEMACS=xemacs package
make XEMACS=xemacs PACKAGEDIR=%{buildroot}%{sitepdir} install-package

%install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README bbdb-to-lsdb.el

%files -n lsdb-emacs
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/lsdb

%files -n lsdb-xemacs
%defattr(-,root,root)
%{_libdir}/xemacs/site-packages/lisp/lsdb

%changelog
* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10-3m)
- rebuild against emacs-21.3
- use %{_prefix} %%{_datadir} macro

* Mon Jan 13 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (0.10-2m)
- rebuild against elisp-emiko-1.14.1-22m

* Thu Jan  9 2003 Junichiro Kita <kita@momonga-linux.org>
- (0.10-1m)
- ver up

* Mon Dec 2 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9-2m)
- add BuildPreReq: apel-emacs, apel-xemacs
- add BuildPreReq: emiko-emacs, emiko-xemacs

* Sat Sep  7 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.9-1m)
- ver up

* Mon Aug 26 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.8-1m)
- ver up

* Fri May 24 2002 Junichiro Kita <kitaj@kondara.org>
- initial build
